#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	check
Version		:	0.15.2
Release		:	17.0.10.rel%{?dist}
Summary		:	A unit test framework for C
Group		:	Development/Tools

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLV2+
URL		:	https://libcheck.github.io/check

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
%description
Check is a unit testing framework for C. It features a simple
interface for defining unit tests, putting little in the way
of the developer.
Tests are run in a separate address space, so both assertion
failures and code errors that cause segmentation faults or other
signals can be caught.
Test results are reportable in the following:
Subunit, TAP, XML, and a generic logging format. 

#-----------------------------------------------------------------------------
%prep
%setup -q 

#-----------------------------------------------------------------------------
#building application
%build


autoreconf -vif
./configure						\
        --prefix=%{_prefix}				\
	--exec-prefix=%{_exec_prefix}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--disable-static				\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make} DESTDIR=%{buildroot} install

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

%{__rm} -f %{buildroot}%{_infodir}/dir

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc AUTHORS NEWS README THANKS
%{_bindir}/checkmk
%{_includedir}/%{name}*.h
%{_libdir}/lib%{name}.so*
%{_libdir}/pkgconfig/%{name}.pc
%{_datadir}/aclocal/%{name}.m4
%{_defaultdocdir}/%{name}/{COPYING.LESSER,ChangeLog,NEWS,README}
%{_defaultdocdir}/%{name}/example/Makefile.am
%{_defaultdocdir}/%{name}/example/README
%{_defaultdocdir}/%{name}/example/configure.ac
%{_defaultdocdir}/%{name}/example/tests/*.{am,c}
%{_defaultdocdir}/%{name}/example/src/Makefile.am
%{_defaultdocdir}/%{name}/example/src/*.{c,h}
%{_infodir}/%{name}.info.gz
%{_mandir}/man1/*.1.gz

#-----------------------------------------------------------------------------
%postun
/usr/sbin/ldconfig

%post
/usr/sbin/ldconfig

#-----------------------------------------------------------------------------
%changelog
